#include <ctype.h>
#include <string.h>

void	ParseLine(char *pLine, char **pArgs, int *iArgCount, int iMaxArgs)
{
	char	*pStart = pLine;
	char	*pEnd;
	*iArgCount = 0;
	while (1)
	{
		while (isspace(*pStart) && *pStart)
			pStart++;
		if (!(*pStart))
			break;
		if (*pStart == '\"')
		{
			pStart++;
			pEnd = pStart;
			pArgs[*iArgCount] = pStart;
			(*iArgCount)++;
			while ((*pEnd != '\"') && *pEnd)
				pEnd++;

			if (*pEnd == '\"')
			{
				*pEnd = 0;
				pStart = pEnd + 1;
			}
			else
				break;
		}
		else
		{
			pArgs[*iArgCount] = pStart;
			(*iArgCount)++;
			pEnd = pStart;
			while (!isspace(*pEnd) && *pEnd)
				pEnd++;
			if (*pEnd)
			{
				*pEnd = 0;
				pStart = pEnd + 1;
			}
			else
				break;
		}
		if (*iArgCount >= iMaxArgs)
			break;
	}
}
